Name: scite 
Version: 2.01
Release: 1%{?dist}
Summary: SCIntilla based GTK2 text editor
License: MIT
Group: Applications/Editors
Url: http://www.scintilla.org/SciTE.html

Source0: http://download.sourceforge.net/scintilla/scite201.tgz
patch0: scintilla-makefile-flags.patch
patch1: scite-makefile.patch
patch2: scite-use-htmlview.patch
patch3: scite-utf8.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel
BuildRequires: desktop-file-utils

%description
SciTE is a SCIntilla based Text Editor. Originally built to demonstrate
Scintilla, it has grown to be a generally useful editor with facilities for
building and running programs.

%prep
%setup -q -c
%patch0
%patch1
%patch2
%patch3

%build
make %{?_smp_mflags} OPTFLAGS="%{optflags}" -C scintilla/gtk
make %{?_smp_mflags} OPTFLAGS="%{optflags}" -C scite/gtk

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} -C scite/gtk install
ln -s SciTE %{buildroot}%{_bindir}/scite

# include man-page
mkdir -p %{buildroot}%{_mandir}/man1/
mv scite/doc/scite.1 %{buildroot}%{_mandir}/man1/

desktop-file-install --vendor fedora --delete-original	\
  --dir %{buildroot}%{_datadir}/applications   	        \
  --remove-category Application                         \
  %{buildroot}%{_datadir}/applications/SciTE.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc scite/README scite/License.txt
%{_mandir}/man1/scite.1*
%{_bindir}/SciTE
%{_bindir}/scite
%{_datadir}/scite/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Thu Oct 1 2009 Jorge Torres <jtorresh@gmail.com> 2.01-1
- Update to 2.01

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.77-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 4 2009 Jorge Torres <jtorresh@gmail.com> 1.77-1
- Upgrade to 1.77

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.74-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.74-3
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.74-2
- Rebuild for selinux ppc32 issue.

* Wed Jun 20 2007 Jorge Torres <jtorresh@gmail.com> 1.74-1
- Upgrade to 1.74.
- Default to UTF-8 encoding (fixes bug #240558).
- Remove iconv workaround for desktop file encoding.

* Fri Sep 01 2006 Jorge Torres <jtorresh@gmail.com> 1.71-1
- Upgrade to 1.71
- Use 'iconv' to work around a desktop file encoding issue

* Thu Jun 22 2006 Jorge Torres <jtorresh@gmail.com> 1.70-1
- Upgrade to 1.70
- Drop man-page capitalization patch

* Sun Jun 04 2006 Jorge Torres <jtorresh@gmail.com> 1.69-3
- Remove usage of MultipleArgs in desktop file.

* Fri Jun 02 2006 Jorge Torres <jtorresh@gmail.com> 1.69-2
- Changed license to MIT.
- Added patches to support compiling with %%{optflags}.
- Misc fixes.

* Thu Jun 01 2006 Jorge Torres <jtorresh@gmail.com> 1.69-1
- Initial package version.
